[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDBGridColumns.Items

Items provides indexed access to columns added to the collection.

## Declaration

Source position: dbgrids.pas line 314

`public property TDBGridColumns.Items[Index: Integer] : TColumn read GetColumn write SetColumn; default;`

## Description

Items is a TColumn property that provides indexed access to columns in the collection by their ordinal position (in the range 0..Count-1). Read and write access to columns in the Items property are cast to the TColumn class type used in the collection. Write access calls the Assign method in the TColumn instance stored at the specified position.

Items is the default property for the collection.